{%extends 'Base.html'%}
{%load static%}
{%block title%}Home{%endblock title%}
{%block css%}
<link rel="stylesheet" type="text/css" href="{%static 'Bootstrap/css/Home.css'%}">
{%endblock css%}
{%block content%}
{%block viewcart%}
<div id="heading_container">
    <div>
        <h1>Sales</h1>
    </div>
    <div>
        <!-- add modal  -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#Add-Medicine-form">
            Add Medicine
        </button>
        <div class="modal fade " id="Add-Medicine-form" tabindex="-1" role="dialog"
            aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Add New Medicine</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="addMedicine" method="POST" autocomplete="off">
                            {% csrf_token %}
                            <div class="form-group">
                                <label for="exampleInputEmail1">Drug_Code</label>
                                <input type="number" required class="form-control" name="Drcode" id="exampleInputEmail1"
                                    placeholder="Enter Drug_Code">
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">Medicine Name</label>
                                <input type="text" required class="form-control" name="Mname" id="exampleInputEmail1"
                                    placeholder="Enter Medicine Name">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">Unit Size</label>
                                <input type="number" required class="form-control" name="unit" value=10 min=1
                                    id="exampleInputEmail1" placeholder="Enter Unit Size">
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">Unit</label>
                                <select class="form-select" name='unitsize' aria-label="Default select example">
                                    <option>Select Unit size</option>
                                    <option selected name='unitsize' value="NOS">Nos</option>
                                    <option name='unitsize' value="ML">Milligram</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">MRP</label>
                                <input type="number" required min=1 step="0.01" class="form-control" name="mrp"
                                    id="exampleInputEmail1" placeholder="Enter MRP">
                            </div>


                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <input type="reset" value="Reset" class="btn btn-danger">
                        <input type="submit" value="Save Medicine" class="btn btn-primary">
                    </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- add modal  -->

        <!-- View cart Modal -->
        <button type="button" class="btn btn-primary" onclick="View_Cart();" id="viewcart_btn" data-toggle="modal"
            data-target="#viewcart">
            View Cart<sup id="cart_count" style="font-size:20px">0</sup>
        </button>
        <div class="modal fade " id="viewcart" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog modal-lg" id="modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Your Cart</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <form action="Save_Bill" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                            <table class="table" id="viewcart_table">
                                <thead>
                                    <tr>
                                        <th scope="col">Drug_Code</th>
                                        <th scope="col">Medicine_Name</th>
                                        <th scope="col">Qty</th>
                                        <th scope="col">MRP</th>
                                        <th scope="col">Total</th>
                                        <th scope="col">Remove</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                        <div class="modal-footer">
                            <p class="h4">Sum Items:
                            <p class="h4" id="item_count">0</p>
                            <p class="h4">Items</p>
                            <p class="h4">|</p>
                            <p class="h4">Grand Total:</p>
                            </p>
                            <p class="h4" id="total_p">Rs.0.00</p>
                            <button type="button" class="btn btn-secondary" id="G_Total">Grand Total</button>
                            <button type="button" class="btn btn-secondary" id="RemoveAll">Remvoe All</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" onclick="Bill_Print();" id="save_print">Print
                            </button>
                            <button type="submit" class="btn btn-primary" onclick="Bill_Print();" id="save_print">Save
                                changes</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- View cart Modal -->
</div>
</div>
{%endblock viewcart%}


<table class="table" id="medicine-list">
    <thead>
        <tr>
            <th>S.NO</th>
            <th scope="col" width="10%"><input type="search" autocomplete="off" class="form-control" name=""
                    onkeyup="Drug_Code_Search();" id="Drug_Code_Search" placeholder="Drug_Code"></th>
            <th scope="col" width="50%"><input type="search" autocomplete="off" class="form-control" name=""
                    onkeyup="Search();" id="search" placeholder="Medicine_Name"></th>
            <th scope="col" width="10%">Unit Size</th>
            <th scope="col" width="10%">MRP</th>
            <th scope="col" width="10%">Add To Cart</th>
        </tr>
    </thead>
    <tbody>
        {% for item in medicine_list %}
        <tr>
            <td>{{forloop.counter}}</td>
            <td>{{item.drug_code}}</td>
            <td>{{item.medicine_name}}</td>
            <td>{{item.unit}}_{{item.unit_size}}</td>
            <td>{{item.mrp}}</td>
            <td>
                <button type="button" class="btn btn-success"
                    onclick="addtocart({{item.drug_code}},'{{item.medicine_name}}',{{item.mrp}})">Add To
                    Cart</button>
            </td>
            {%endfor%}
        </tr>

    </tbody>
</table>

{%endblock content%}
{%block js%}
<script>
    console.log("Sales Page");

    var viewcart = [];
    var items = {};
    var item_count = [];
    function addtocart(drug_code, medicine_name, mrp) {
        let D_code = drug_code;
        let MRP = mrp;
        let Qty = 1;
        let Medi_name = medicine_name;
        var M_total = MRP;
        viewcart.items = items;

        var Qty_td = document.createElement('td');
        var Qty_input = document.createElement('input');
        Qty_input.type = "number";
        Qty_input.value = Qty;
        Qty_input.min = 1;
        Qty_input.style.width = "50px";
        Qty_input.id = "Qty_td";
        Qty_td.append(Qty_input);

        var Includ = item_count.includes(D_code);
        if (!Includ) {

            item_count.push(drug_code);
            var item = {
                D_code,
                MRP,
                Medi_name,
                Qty,
                M_total,
            };
            viewcart.push(item);
            console.log(viewcart);
        } else {
            var result = viewcart.find(item => item.D_code === drug_code);
            result.Qty += 1;
            result.M_total = result.MRP * result.Qty;
            Qty_input.value = result.Qty;
            Mrp_td.innerHTML = result.M_total;
            console.log(viewcart);

        }

        const sumTotal = viewcart.map(i => i.M_total).reduce((a, b) => a + b, 0);
        console.log("sumTotal", sumTotal);
        document.getElementById('cart_count').innerHTML = item_count.length;
        document.getElementById('item_count').innerHTML = item_count.length;
        document.getElementById('total_p').innerHTML = sumTotal;
        // view cart table
        var view_cart_table = document.getElementById('viewcart_table');

        var tr = document.createElement('tr');
        tr.id = "viewcart_table_tr";
        var dr_code_td = document.createElement('td');
        dr_code_td.innerHTML = item.D_code;
        tr.append(dr_code_td);

        var Medi_name_td = document.createElement('td');
        Medi_name_td.innerHTML = item.Medi_name;
        tr.append(Medi_name_td);



        tr.append(Qty_td);

        var Mrp_td = document.createElement('td');
        Mrp_td.innerHTML = item.MRP;
        tr.append(Mrp_td);

        var mtotal_td = document.createElement('td');
        mtotal_td.innerHTML = M_total;
        tr.append(mtotal_td);

        var Remove_btn_td = document.createElement('td');
        var Remove_btn = document.createElement('input');
        Remove_btn.type = "button";
        Remove_btn.id = "Remove_btn";
        Remove_btn_td.append(Remove_btn);
        Remove_btn.value = "Remove";
        tr.append(Remove_btn_td);
        view_cart_table.append(tr);
        

        
        if (Includ) {
            Qty_input.value += 1;
            console.log("Qty_input.value:", Qty_input.value);
        }
        // view cart table
        console.log(item_count.length);

       

        

    }
   
    // console.log("For Includes:",viewcart);

    function View_Cart() {
        // var bill_table = document.getElementById('viewcart_tr');
        // if (bill_table == null) {
        //     alert("Add Atleast One items")
        //     location.reload();
        // }
    }


</script>
{%endblock js%}



let D_code = drug_code;
let MRP = mrp;
let qty = 1;
let medi_name = medicine_name;
viewcart.items = items;
var item = {
D_code,
MRP,
medi_name,
qty,
};
viewcart.items.push(item);